## storm-lang 0.6.2

=== mps/manual/Makefile ===
# Makefile for Sphinx documentation
# $Id$

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  tools      to install a local copy of the Python tools using virtualenv"

clean:
	-rm -rf $(BUILDDIR)/{changes,devhelp,dirhtml,doctest,doctrees,epub,html,htmlhelp,json,latex,linkcheck,locale,man,pickle,qthelp,singlehtml,texinfo,text}
	-find $(BUILDDIR)/source/design -name '*.rst' ! -name 'index.rst' ! -name 'old.rst' -exec rm -f '{}' ';'

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MemoryPoolSystem.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MemoryPoolSystem.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MemoryPoolSystem"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MemoryPoolSystem"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

tools: tool/bin/sphinx-build

tool/bin/sphinx-build: tool/bin/pip
	tool/bin/pip install sphinx
	@echo "You can now use \`make SPHINXBUILD=tool/bin/sphinx-build html' etc."
	@echo "Or add tool/bin to your path."

tool/bin/pip:
	virtualenv tool

## storm-lang 0.5.10

=== debian/changelog ===
storm-lang (0.5.10-1) unstable; urgency=medium

  * First Debian release (Closes: #990009)

 -- Filip Strömbäck <filip@fprg.se>  Tue, 9 Nov 2021 22:49:14 +0100

=== debian/control ===
Source: storm-lang
Section: devel
Priority: optional
Maintainer: Filip Strömbäck <filip@fprg.se>
Build-Depends: debhelper (>= 11),
	       g++ (>= 8.3.0),
	       libssl-dev,
	       libpng-dev,
	       libjpeg-dev,
	       libgtk-3-dev,
	       libopenal-dev,
	       libmpg123-dev,
	       libogg-dev,
	       libflac-dev,
	       libvorbis-dev,
	       mymake (>= 2.2.0),
	       pkg-config
Standards-Version: 4.1.3
Homepage: https://storm-lang.org/
#Vcs-Browser: https://salsa.debian.org/debian/storm
#Vcs-Git: https://salsa.debian.org/debian/storm.git

Package: storm-lang
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Platform for extensible languages
 Storm is a language system for extensible languages. It allows
 creating multiple languages and DSLs that are able to operate
 in close cooperation. Not too dissimilar from LISP systems, but
 with custom syntax.
Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql

Package: storm-lang-crypto
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Cryptographic library for Storm
 Cryptographic primitives (for example for estabilshing SSL tunnels)
 for the Storm language platform.

Package: storm-lang-graphics
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Graphics library for Storm
 Provides the ability to load various image types to Storm programs.

Package: storm-lang-layout
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
Description: Layout library for Storm
 This library provides a language extension for declaring layouts
 in the Storm language platform.

Package: storm-lang-ui
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: UI library for Storm (using Gtk3)
 UI library for the Storm language platform using Gtk+.

Package: storm-lang-presentation
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${misc:Depends}
Description: Presentation library for Storm
 Library with language extensions for conveniently creating and showing
 presentations in the Storm language platform.

Package: storm-lang-sql
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SQL library for Storm
 Generic SQL database interface to the Storm language platform, complete with
 custom syntax. Provides bindings for SQLite at the moment.

Package: storm-lang-sound
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Sound playback library for Storm
 Sound playback library for the Storm language platform. Supports
 decoding flac, ogg and mp3 streams.

Package: progvis
Section: education
Architecture: amd64
Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), ${misc:Depends}
Suggests: progvis-examples
Description: Program visualization tool for C/C++ (and others)
 A program visualization tool written in Storm. Supports a subset
 of C/C++, and other languages supported by the Storm language
 platform. Aimed at showing how concurrent programs interact with
 pointers/references and other fundamental programming concepts.

Package: progvis-examples
Section: education
Architecture: amd64
Depends: progvis, ${misc:Depends}
Description: Set of example programs for progvis
 Programs developed for Progvis, illustrating differnent aspects
 of concurrency and memory handling.
 .
 Progvis is a program visualization tool written in Storm. Supports a
 subset of C/C++, and other languages supported by the Storm language
 platform. Aimed at showing how concurrent programs interact with
 pointers/references and other fundamental programming concepts.

## storm-lang 0.5.20

=== debian/changelog ===
storm-lang (0.5.20-1build1) lunar; urgency=medium

  * No-change rebuild against libflac++10 & libflac12.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Nov 2022 16:30:52 +0000

storm-lang (0.5.20-1) unstable; urgency=medium

  * Allow running code from files without the "-f" flag.
  * Allow catching "out of memory" errors from the garbage collector.
  * Fixed a rare crash that could occur when a large amount of memory
    is allocated on the heap (around 1GB or so).
  * Protect against integer overflows when allocating data on the
    heap. Previously, a well-selected size could cause a too small
    allocation and subsequent crashes/buffer overflows.
  * Improved the representation of uninitialized synchronization
    primitives in Progvis.
  * Fixed issues when running UI applications on Wayland.
  * Fixed issues with calling the "join" function multiple times.
  * SQL library supports "ORDER BY" and table aliases.
  * Lambdas never try to return a reference, which previously caused an error.
  * Improved error message when using wrong syntax on command line.
  * Fixed a bug in the PinnedSet class when resizing internal storage.
  * Added iterators to the Queue class.
  * Added progress bars to the UI library.
  * Fixed issues with DPI scaling on Linux in the UI library.
  * Added maps and sets that operate on object identity for class types.
  * Improved layout of data in Progvis.
  * Added a model checker to Progvis to find problems automatically.
  * Organized the demo directory, and added button to the UI for accessing it.
  * Fixed bug that caused Progvis to not show all accesses sometimes.
  * The C/C++ frontend for Progvis handles whitespaces properly and allows
    using "static" for global variables.
  * Added icons to Progvis.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 30 Jul 2022 11:15:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	       libvorbis-dev,
 	       mymake (>= 2.2.0),
 	       pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.6.0
 Homepage: https://storm-lang.org/
 #Vcs-Browser: https://salsa.debian.org/debian/storm
 #Vcs-Git: https://salsa.debian.org/debian/storm.git
@@ -44,7 +44,7 @@
  Provides the ability to load various image types to Storm programs.
 
 Package: storm-lang-layout
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
 Description: Layout library for Storm
  This library provides a language extension for declaring layouts
@@ -57,7 +57,7 @@
  UI library for the Storm language platform using Gtk+.
 
 Package: storm-lang-presentation
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${misc:Depends}
 Description: Presentation library for Storm
  Library with language extensions for conveniently creating and showing
@@ -79,7 +79,7 @@
 
 Package: progvis
 Section: education
-Architecture: amd64
+Architecture: all
 Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), ${misc:Depends}
 Suggests: progvis-examples
 Description: Program visualization tool for C/C++ (and others)
@@ -90,7 +90,7 @@
 
 Package: progvis-examples
 Section: education
-Architecture: amd64
+Architecture: all
 Depends: progvis, ${misc:Depends}
 Description: Set of example programs for progvis
  Programs developed for Progvis, illustrating differnent aspects

## storm-lang 0.6.2

=== debian/changelog ===
storm-lang (0.6.2-1) unstable; urgency=medium

  * Added support for arm64.
  * Add support for detecting live-locks in the auto-grader in Progvis.
  * Fixed a bug in Progvis that would cause threads to step too far.
  * Throw exceptions on integer division by zero to avoid crashes in Progvis.
  * Added conversions between unsigned integers and floating point types.
  * Improved error messages for cases where a default constructor is missing.
  * Improved the presentation library to allow interactive components.
  * Improved the Geometry API.
  * New instruction in the intermediate representation: `test`

 -- Filip Strömbäck <filip@fprg.se>  Wed, 4 Jan 2023 16:08:42 +0000

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #Vcs-Git: https://salsa.debian.org/debian/storm.git
 
 Package: storm-lang
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Platform for extensible languages
  Storm is a language system for extensible languages. It allows
@@ -31,14 +31,14 @@
 Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql
 
 Package: storm-lang-crypto
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Cryptographic library for Storm
  Cryptographic primitives (for example for estabilshing SSL tunnels)
  for the Storm language platform.
 
 Package: storm-lang-graphics
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Graphics library for Storm
  Provides the ability to load various image types to Storm programs.
@@ -51,7 +51,7 @@
  in the Storm language platform.
 
 Package: storm-lang-ui
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: UI library for Storm (using Gtk3)
  UI library for the Storm language platform using Gtk+.
@@ -64,14 +64,14 @@
  presentations in the Storm language platform.
 
 Package: storm-lang-sql
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
 
 Package: storm-lang-sound
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: storm-lang (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Sound playback library for Storm
  Sound playback library for the Storm language platform. Supports
@@ -93,7 +93,7 @@
 Architecture: all
 Depends: progvis, ${misc:Depends}
 Description: Set of example programs for progvis
- Programs developed for Progvis, illustrating differnent aspects
+ Programs developed for Progvis, illustrating different aspects
  of concurrency and memory handling.
  .
  Progvis is a program visualization tool written in Storm. Supports a

## storm-lang 0.6.16

=== debian/changelog ===
storm-lang (0.6.16-1) unstable; urgency=medium

  * Fixed issues in Progvis when using the NO_STEP directive.
  * Fixed issues in the model checker in Progvis when calling
    multiple calls to the same user-defined function.
  * Fixed an issue in the layout code for Progvis that would
    sometimes cause new data to be placed at (0, 0).
  * Updated how global variables are shown in Progvis.
    Global arrays are also supported.
  * Fixed a bug in the code generation in Storm that would
    cause the division instruction to be mis-compiled.
  * Implemented support for initializers for member variables
    in Basic Storm.
  * The name resolution in Basic Storm has been improved to
    avoid surprises.
  * Renamed the readAll function to fill in IStream.
  * Implemented a list view control in the UI library.
  * The UI library can be loaded in a headless environment.
  * Added the ability to limit the size of deserialized data
    in the serialization library.
  * The serialization library is more robust regarding
    members that have been removed since serialization.
  * Enums are now serializable.
  * Fixed a bug in the IO system that could cause crashes,
    and lost events, particularly when working with sockets.
  * Improved robustness of partial reads in the IO libraries.
  * The SQL library has been re-factored to handle cases
    where not all rows are extracted.
  * Fixed crash when using Variant in the interactive shell.
  
 -- Filip Strömbäck <filip@fprg.se>  Fri, 23 Jun 2023 00:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       libogg-dev,
 	       libflac-dev,
 	       libvorbis-dev,
-	       mymake (>= 2.2.0),
+	       mymake (>= 2.3.0),
 	       pkg-config
 Standards-Version: 4.6.0
 Homepage: https://storm-lang.org/

## storm-lang 0.6.17

=== debian/changelog ===
storm-lang (0.6.17-1) unstable; urgency=medium

  * Updated the garbage collector to a newer version. This
    potentially solves performance regressions when working
    with large sets or maps of pointers.
  * Improved handling of exceptions on 64-bit platforms.
  * Updated Debian build files to allow reproducible build
    and to properly clean the build (Closes: #1047325)

 -- Filip Strömbäck <filip@fprg.se>  Mon, 14 Aug 2023 20:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       libogg-dev,
 	       libflac-dev,
 	       libvorbis-dev,
-	       mymake (>= 2.3.0),
+	       mymake (>= 2.3.1),
 	       pkg-config
 Standards-Version: 4.6.0
 Homepage: https://storm-lang.org/

## storm-lang 0.6.19

=== debian/changelog ===
storm-lang (0.6.19-1) unstable; urgency=medium

  * Support for MariaDB and MySQL in the database library.
  * Left, right, and full joins are properly handled in the
    database library.
  * Changed license to the BSD licence.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 17 Sep 2023 11:42:47 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	       libogg-dev,
 	       libflac-dev,
 	       libvorbis-dev,
+	       libmariadb-dev,
 	       mymake (>= 2.3.1),
 	       pkg-config
 Standards-Version: 4.6.0
@@ -69,6 +70,7 @@
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
+Recommends: libmariadb3
 
 Package: storm-lang-sound
 Architecture: amd64 arm64

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Remove some extra files that gbp buildpackage sometimes fails to clean up on a broken build.
# Seems we need to remove the .pc dir to make quilt work well.
clean:
	dh clean
	rm -f Compiler/COMPILER.version
	rm -f .mymake
	rm -rf .pc
	[ ! -d mps/test/test/script/ntx86bin/ ] || rm -rf mps/test/test/script/ntx86bin/

# We don't need the autotools config etc.
# These rules will find some autotools configuration files and configure them.
# This is not at all needed, and only makes it much more inconvenient to restore
# the repository into a state where we can build from again (e.g. changes inside
# submodules).
override_dh_update_autotools_config:

override_dh_autoreconf:

override_dh_auto_configure:

# Default rule.
%:
	dh $@

## storm-lang 0.6.20

=== debian/changelog ===
storm-lang (0.6.20-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:21:28 +0200

storm-lang (0.6.20-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:45 +1100

storm-lang (0.6.20-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:27:53 +0000

storm-lang (0.6.20-1) unstable; urgency=medium

  * Revised the documentation of Storm. It is now rendered by
    Storm itself.
  * Added a new library for parsing `markdown`-formatted text.
  * Added support for passing command-line arguments to programs
    written in Storm.
  * Added support for character literals to Basic Storm.
  * Don't use sizeof('\0') for end of string in C (Closes: #1058778)

 -- Filip Strömbäck <filip@fprg.se>  Thu, 22 Feb 2024 11:47:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: storm-lang
 Section: devel
 Priority: optional
-Maintainer: Filip Strömbäck <filip@fprg.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 11),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
@@ -15,11 +16,11 @@
 	       libvorbis-dev,
 	       libmariadb-dev,
 	       mymake (>= 2.3.1),
-	       pkg-config
-Standards-Version: 4.6.0
+	       pkgconf
+Standards-Version: 4.6.2
 Homepage: https://storm-lang.org/
-#Vcs-Browser: https://salsa.debian.org/debian/storm
-#Vcs-Git: https://salsa.debian.org/debian/storm.git
+Vcs-Browser: https://salsa.debian.org/fstromback/storm
+Vcs-Git: https://salsa.debian.org/fstromback/storm.git
 
 Package: storm-lang
 Architecture: amd64 arm64
@@ -29,7 +30,8 @@
  creating multiple languages and DSLs that are able to operate
  in close cooperation. Not too dissimilar from LISP systems, but
  with custom syntax.
-Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql
+Recommends: storm-lang-crypto, storm-lang-graphics, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-markdown, storm-lang-tutorials
+Suggests: storm-lang-doc
 
 Package: storm-lang-crypto
 Architecture: amd64 arm64
@@ -79,6 +81,30 @@
  Sound playback library for the Storm language platform. Supports
  decoding flac, ogg and mp3 streams.
 
+Package: storm-lang-markdown
+Architecture: all
+Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
+Description: Markdown library for Storm
+ Library for parsing markdown text in Storm, manipulating the
+ resulting document, and outputting a HTML version. Also
+ allows managing hierarchies of markdown documents.
+
+Package: storm-lang-doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Documentation for Storm
+ Offline version of Storm's documentation. Contains both
+ the original markdown version as well as a HTML version
+ of the same text for offline viewing.
+ .
+ The documentation is installed to /usr/share/doc/storm-lang
+
+Package: storm-lang-tutorials
+Architecture: all
+Depends: storm-lang (>= ${source:Version}), ${misc:Depends}
+Description: Source code for the tutorials in the Storm manual
+ Source code that accompanies the tutorials in the Storm manual.
+
 Package: progvis
 Section: education
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+# Ubuntu uses lto flags. This does, however, break the garbage collector in some way
+# (Storm crashes on startup). Disable them for now. Note: -ffat-lto-objects need to
+# appear twice for the flag to disappear completely.
+export DEB_CFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
+export DEB_CXXFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
 
 # Remove some extra files that gbp buildpackage sometimes fails to clean up on a broken build.
 # Seems we need to remove the .pc dir to make quilt work well.

## storm-lang 0.6.22

=== debian/changelog ===
storm-lang (0.6.22-1) unstable; urgency=medium

  * Fixed a crash in the parser during error recovery.
  * Changed how exports are handled to avoid surprises.
    Previously, exported packages would be imported into
    the package they were exported from. This is no longer
    the case.
  
 -- Filip Strömbäck <filip@fprg.se>  Thu, 2 May 2024 21:58:13 +0200

storm-lang (0.6.20-3) unstable; urgency=medium

  * Fix reproducibility issues by sorting files in the preprocessor.

 -- Filip Strömbäck <filip@fprg.se>  Fri, 22 Mar 2024 19:59:04 +0100

storm-lang (0.6.20-2) unstable; urgency=medium

  * Updated the build files to include all flags to .S files.
  * Marked storm-lang-doc as multiarch: foreign.
  * Fixed reproducibility issue with the date in the documentation.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 03 Mar 2024 11:33:58 +0100

## storm-lang 0.6.23

=== debian/changelog ===
storm-lang (0.6.23-1) unstable; urgency=medium

  * Unified the to-string implementation for value types. Now it is enough
    to implement "toS" or "toS(StrBuf)", just as for classes and actors.
  * Usability improvements in the top-loop: better error messages.
  * Compile destructors eagerly to avoid crashes during shutdown.
  * Allow using "${}" to insert types into pattern blocks.
  * Relaxed limitations on where actors are bound to threads. Previously,
    this needed to happen at the first subclass of TObject. Now it can
    happen anywhere in the hierarchy.
  * New design of the license dialog.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 13 Jul 2024 11:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: storm-lang
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Filip Strömbäck <filip@fprg.se>
+Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 11),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
@@ -91,6 +90,7 @@
 
 Package: storm-lang-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Documentation for Storm
  Offline version of Storm's documentation. Contains both

## storm-lang 0.6.25

=== debian/changelog ===
storm-lang (0.6.25-1) unstable; urgency=medium

  * Fixed a crash when using timeouts and the read completes
    before the timeout expires.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 12 Nov 2024 21:18:55 +0100

storm-lang (0.6.24-1) unstable; urgency=medium

  * Updated the nomenclature in the test library. Test suites are
    now called tests, and tests are now called checks.
  * Fixed socket timeouts. The input timeout is now set on the
    input stream rather than on the socket itself.
  * New functionality in the Array class.
  * Fixed function pointers being broken after a copy.
  * Robustness and performance improvements.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 9 Nov 2024 13:22:53 +0100

## storm-lang 0.6.26

=== debian/changelog ===
storm-lang (0.6.26-1) unstable; urgency=medium

  * Properly handle SIGPIPE so that Storm does not exit when
    writing to an empty pipe or socket.
  * Allow error handling in input and output streams.
  * Added bounds checking when accessing bytes in Buffers.

 -- Filip Strömbäck <filip@fprg.se>  Wed, 20 Nov 2024 20:11:36 +0100

## storm-lang 0.6.28

=== debian/changelog ===
storm-lang (0.6.28-3) unstable; urgency=medium

  * Fixed a minor issue in the unit test library.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 28 Jan 2025 11:56:51 +0100

storm-lang (0.6.28-2) unstable; urgency=medium

  * Disabled PAC on ARM64 builds as it is not supported by Storm,
    and will cause spurious crashes. Patches from upstream are
    in the works.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 05 Jan 2025 19:34:23 +0100

storm-lang (0.6.28-1) unstable; urgency=medium

  * Progvis can now detect memory leaks.
  * New components in the UI library (group and divider).
  * Support nested layouts in the UI flavor of the layout
    domain-specific language.
  * Made all toS(StrBuf) public to follow the new
    convention, and to be consistent with values.
  * Allow testing void expressions in the test library.
  * The function toUtf8 no longer returns a trailing 0 byte.
  * Support IS NULL and IS NOT NULL in the SQL library.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 5 Jan 2025 00:48:49 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	       libmariadb-dev,
 	       mymake (>= 2.3.1),
 	       pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
+# Storm does not yet support control-flow hardening measures. In particular, PAC on
+# ARM. The upcoming X86 one might be also be problematic when enabled down the line.
+
 # Ubuntu uses lto flags. This does, however, break the garbage collector in some way
-# (Storm crashes on startup). Disable them for now. Note: -ffat-lto-objects need to
-# appear twice for the flag to disappear completely.
-export DEB_CFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_STRIP = -flto=auto -ffat-lto-objects -ffat-lto-objects
+# (Storm crashes on startup), and produces interesting compile errors. Disable for now.
+export DEB_BUILD_MAINT_OPTIONS = hardening=-branch optimize=-lto
 
 # Remove some extra files that gbp buildpackage sometimes fails to clean up on a broken build.
 # Seems we need to remove the .pc dir to make quilt work well.

## storm-lang 0.7.0

=== debian/changelog ===
storm-lang (0.7.0-1) unstable; urgency=medium

  * Adds experimental live reloading of programs.
  * Fixes a deadlock situation during lazy compilation.
  * Better stack traces.
  * Support for PAC on Arm.
  * New syntax, @parent, in the named{} syntax.
  * New version of Progvis, among other things it detects more issues.
  * Allow saving screenshots from Progvis.
  * Using io_uring for async IO throughout Storm.
  * Support timeouts for sockets.
  * Support for serial ports.
  * Added support for PostgreSQL.
  * New HTTP library (server and client), and JSON library.
  * More robust handling of function pointers.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 4 Oct 2025 12:50:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Filip Strömbäck <filip@fprg.se>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 13),
+	       debhelper-compat (= 13),
 	       g++ (>= 8.3.0),
 	       libssl-dev,
 	       libpng-dev,
@@ -14,9 +15,9 @@
 	       libflac-dev,
 	       libvorbis-dev,
 	       libmariadb-dev,
-	       mymake (>= 2.3.1),
+	       mymake (>= 2.4.1),
 	       pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git
@@ -71,7 +72,7 @@
 Description: SQL library for Storm
  Generic SQL database interface to the Storm language platform, complete with
  custom syntax. Provides bindings for SQLite at the moment.
-Recommends: libmariadb3
+Recommends: libmariadb3, libpq5
 
 Package: storm-lang-sound
 Architecture: amd64 arm64

=== debian/tests/control ===
Tests: run-repl-test.sh, compile-progvis-test.sh, run-package-tests.sh, compile-tutorials.sh, run-devel-tests.sh
Depends: storm-lang, storm-lang-crypto, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-sound, storm-lang-markdown, storm-lang-doc, storm-lang-tutorials, progvis

## storm-lang 0.7.1

=== debian/changelog ===
storm-lang (0.7.1-1) unstable; urgency=medium

  * Throw an appropriate exception when opening non-existing files.
  * Ignore unused serial port files on Linux (all ttySx are often not used).
  * Properly follow the system conventions for locking serial ports on Linux.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 11 Oct 2025 13:54:44 +0200

storm-lang (0.7.0-3) unstable; urgency=medium

  * Added storm-lang-graphics as a dependency to progvis.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 05 Oct 2025 00:22:38 +0200

storm-lang (0.7.0-2) unstable; urgency=medium

  * Fixed autopkgtests and added metadata to patch.

 -- Filip Strömbäck <filip@fprg.se>  Sat, 04 Oct 2025 23:18:00 +0200

## storm-lang 0.7.2

=== debian/changelog ===
storm-lang (0.7.2-1) unstable; urgency=medium

  * Fixed a bug that causes the ClassInherit test to fail with
    a probability of about 1/16.
  * Minor polishing of the set and map interfaces.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 12 Oct 2025 08:49:53 +0200

=== debian/control ===
--- 
+++ 
@@ -109,7 +109,7 @@
 Package: progvis
 Section: education
 Architecture: all
-Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), ${misc:Depends}
+Depends: storm-lang (>= ${source:Version}), storm-lang-ui (>= ${source:Version}), storm-lang-sql (>= ${source:Version}), storm-lang-layout (>= ${source:Version}), storm-lang-crypto (>= ${source:Version}), storm-lang-graphics (>= ${source:Version}), ${misc:Depends}
 Suggests: progvis-examples
 Description: Program visualization tool for C/C++ (and others)
  A program visualization tool written in Storm. Supports a subset
@@ -120,7 +120,7 @@
 Package: progvis-examples
 Section: education
 Architecture: all
-Depends: progvis, ${misc:Depends}
+Depends: progvis (>= ${source:Version}), ${misc:Depends}
 Description: Set of example programs for progvis
  Programs developed for Progvis, illustrating different aspects
  of concurrency and memory handling.

## storm-lang 0.7.3

=== mps/manual/Makefile ===
--- 
+++ 
@@ -1,16 +1,20 @@
 # Makefile for Sphinx documentation
+#
 # $Id$
+#
+# Keep consistent with build.txt section on building the MPS manual.
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+PYTHON        = python3
+SPHINXOPTS    = -T -W --keep-going
+SPHINXBUILD   = tool/bin/sphinx-build
 PAPER         =
 BUILDDIR      = .
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -T -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 
@@ -40,41 +44,41 @@
 	@echo "  tools      to install a local copy of the Python tools using virtualenv"
 
 clean:
-	-rm -rf $(BUILDDIR)/{changes,devhelp,dirhtml,doctest,doctrees,epub,html,htmlhelp,json,latex,linkcheck,locale,man,pickle,qthelp,singlehtml,texinfo,text}
+	-for dir in changes devhelp dirhtml doctest doctrees epub html htmlhelp json latex linkcheck locale man pickle qthelp singlehtml texinfo text; do rm -rf $(BUILDDIR)/$$dir; done
 	-find $(BUILDDIR)/source/design -name '*.rst' ! -name 'index.rst' ! -name 'old.rst' -exec rm -f '{}' ';'
 
-html:
+html: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
-dirhtml:
+dirhtml: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
 
-singlehtml:
+singlehtml: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
 	@echo
 	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."
 
-pickle:
+pickle: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
 	@echo
 	@echo "Build finished; now you can process the pickle files."
 
-json:
+json: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
 	@echo
 	@echo "Build finished; now you can process the JSON files."
 
-htmlhelp:
+htmlhelp: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
-qthelp:
+qthelp: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
@@ -83,7 +87,7 @@
 	@echo "To view the help file:"
 	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MemoryPoolSystem.qhc"
 
-devhelp:
+devhelp: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
@@ -92,74 +96,73 @@
 	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MemoryPoolSystem"
 	@echo "# devhelp"
 
-epub:
+epub: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
 	@echo
 	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."
 
-latex:
+latex: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
 	@echo "Run \`make' in that directory to run these through (pdf)latex" \
 	      "(use \`make latexpdf' here to do that automatically)."
 
-latexpdf:
+latexpdf: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
 	@echo "Running LaTeX files through pdflatex..."
 	$(MAKE) -C $(BUILDDIR)/latex all-pdf
 	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."
 
-text:
+text: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
 	@echo
 	@echo "Build finished. The text files are in $(BUILDDIR)/text."
 
-man:
+man: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
 	@echo
 	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."
 
-texinfo:
+texinfo: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo
 	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
 	@echo "Run \`make' in that directory to run these through makeinfo" \
 	      "(use \`make info' here to do that automatically)."
 
-info:
+info: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
 	@echo "Running Texinfo files through makeinfo..."
 	make -C $(BUILDDIR)/texinfo info
 	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."
 
-gettext:
+gettext: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
 	@echo
 	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
 
-changes:
+changes: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
 	@echo
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
-linkcheck:
+linkcheck: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
 
-doctest:
+doctest: $(SPHINXBUILD)
 	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
 	@echo "Testing of doctests in the sources finished, look at the " \
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
-tools: tool/bin/sphinx-build
+.PHONY: tools
+tools: tool/bin/pip requirements.pip
+	tool/bin/pip install -r requirements.pip
 
-tool/bin/sphinx-build: tool/bin/pip
-	tool/bin/pip install sphinx
-	@echo "You can now use \`make SPHINXBUILD=tool/bin/sphinx-build html' etc."
-	@echo "Or add tool/bin to your path."
+tool/bin/sphinx-build: tools
 
 tool/bin/pip:
-	virtualenv tool
+	$(PYTHON) -mvenv tool

=== debian/changelog ===
storm-lang (0.7.3-1) unstable; urgency=medium

  * Added interface for inhibiting the screen saver to the UI library.
  * Support loading icons and setting them on Frames.
  * Fixed an undercanning issue near the root of the stack. On 64-bit
    systems (notably Linux), this caused Storm to crash when specifying
    a source file (or directory) on the command-line that does not
    contain a main function.

 -- Filip Strömbäck <filip@fprg.se>  Mon, 20 Oct 2025 22:52:48 +0200

=== debian/tests/control ===
Tests: run-repl-test.sh, run-package-tests.sh, compile-tutorials.sh, run-devel-tests.sh
Depends: storm-lang, storm-lang-crypto, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-sound, storm-lang-markdown, storm-lang-doc, storm-lang-tutorials, storm-lang-graphics

Tests: compile-progvis-test.sh
Depends: progvis

## storm-lang 0.7.4

=== debian/changelog ===
storm-lang (0.7.4-1) unstable; urgency=medium

  * New Progvis version (0.6.8). Bugfixes to the model checker
    and quicker loading of programs.
  * Fixed a bug in the implementation vector cross product.
  * Fixed a bug that caused close() to misbehave when called
    from a different threads when using io_uring.

 -- Filip Strömbäck <filip@fprg.se>  Tue, 13 Jan 2026 16:05:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: storm-lang
 Section: devel
-Priority: optional
 Maintainer: Filip Strömbäck <filip@fprg.se>
 Build-Depends: debhelper (>= 13),
 	       debhelper-compat (= 13),
@@ -17,7 +16,7 @@
 	       libmariadb-dev,
 	       mymake (>= 2.4.1),
 	       pkgconf
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://storm-lang.org/
 Vcs-Browser: https://salsa.debian.org/fstromback/storm
 Vcs-Git: https://salsa.debian.org/fstromback/storm.git

## storm-lang 0.7.5

=== debian/changelog ===
storm-lang (0.7.5-1) unstable; urgency=medium

  * Better overall performance due to improved grammar for Basic Storm.
  * Better error messages in range-based for loops.
  * Allow using #define X in Progvis for integer constants.
  * Fixes bugs in Progvis caused by the re-structuring of internals.
  * Progvis does not crash for arrays of user-defined types.
  * Progvis highlights memory accesses by more built-in functions.

 -- Filip Strömbäck <filip@fprg.se>  Sun, 18 Jan 2026 14:12:44 +0100

=== debian/tests/control ===
Tests: run-repl-test.sh, run-package-tests.sh, compile-tutorials.sh, run-devel-tests.sh
Depends: storm-lang, storm-lang-crypto, storm-lang-layout, storm-lang-ui, storm-lang-presentation, storm-lang-sql, storm-lang-sound, storm-lang-markdown, storm-lang-doc, storm-lang-tutorials, storm-lang-graphics
Architecture: amd64 arm64

Tests: compile-progvis-test.sh
Depends: progvis
Architecture: amd64 arm64
